Skip to main content
GET
/
credits
/
operations
Paginated raw ledger of credit operations
curl --request GET \
  --url https://app.hockeystack.com/api/revenue-agents/v1/credits/operations \
  --header 'Authorization: Bearer <token>'
{
  "operations": [
    {
      "operation_uuid": "<string>",
      "operation_type": "<string>",
      "feature": "<string>",
      "credits": 123,
      "metadata": {},
      "timestamp": "2023-11-07T05:31:56Z"
    }
  ],
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

from
string<date-time>

Inclusive lower bound. Accepts any string parseable as a date or datetime — YYYY-MM-DD, RFC 3339 with or without an offset. Output is always echoed as full ISO 8601 with Z.

to
string<date-time>

Exclusive upper bound. Accepts any string parseable as a date or datetime. Must be >= from (server returns 400 otherwise).

feature
string
Required string length: 1 - 64
cursor
string
limit
integer
default:50
Required range: 1 <= x <= 200

Response

Operations page.

operations
object[]
required
next_cursor
string | null
required